.app-loading {
	position: absolute;
	top: 0px;
	left: 0px;
	right: 0px;
	bottom: 0px;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	background: #fff;
}

.app-loading__logo {
	margin-bottom: 10px;
	margin-left: -1px;
}

.app-loading__logo img {
	width: 90px;
	vertical-align: bottom;
}

.app-loading__loader {
	box-sizing: border-box;
	width: 35px;
	height: 35px;
	border: 5px solid transparent;
	border-top-color: #000;
	border-radius: 50%;
	animation: .5s loader linear infinite;
	position: relative;
}

.app-loading__loader:before {
	box-sizing: border-box;
	content: '';
	display: block;
	width: inherit;
	height: inherit;
	position: absolute;
	top: -5px;
	left: -5px;
	border: 5px solid #ccc;
	border-radius: 50%;
	opacity: .5;
}

.app-loading__title {
	font-size: 24px;
	color: #333;
	margin-top: 30px;
}

.dark .app-loading {
	background: #222225;
}

.dark .app-loading__loader {
	border-top-color: #fff;
}

.dark .app-loading__title {
	color: #d0d0d0;
}

@keyframes loader {
	0% {
		transform: rotate(0deg);
	}

	100% {
		transform: rotate(360deg);
	}
}

.app-version-check {
	display: none;
	position: absolute;
	z-index: 99;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	padding: 40px;
	background: rgba(255, 255, 255, 0.9);
	color: #333;
}

.app-version-check-block {
	display: block !important;
}

.app-version-check .version-title {
	line-height: 1;
	margin: 0;
	font-size: 24px;
}

.app-version-check .version-describe-1 {
	line-height: 1;
	margin: 0;
	font-size: 14px;
	margin-top: 20px;
	opacity: 0.8;
}

.app-version-check .version-describe-2 {
	line-height: 1;
	margin: 0;
	font-size: 14px;
	margin-top: 10px;
	opacity: 0.8;
}

.app-version-check .version-describe-3 {
	line-height: 1;
	margin: 0;
	font-size: 14px;
	margin-top: 10px;
	opacity: 0.8;
}

.app-loading__logo .logo {
	width: 40px;
	height: 40px;
}
